About Matrix Y2K

Matrix Y2K is created by M.A. van IJperen. I develop freeware software in my spare time.

A few years ago I created my first website, but the software I found was to expensive

for me to get so I thought why not make my own software and at that time I created Matrix Y2K Website Studio.

The first version came out about 2,5 years ago and in November 2000 I released version 5.0 of the website studio.

But the software needed some more development and a better GUI so I have started in march 2001 on working on version

6.0 and about six months later the firsts beta tests have been released.

And now almost a year later I am releasing a new version which has much more to offer and which is much more

user friendly. And now we are already at version 6.1

So I hope you will enjoy this version of Matrix Y2K Website Studio. And you can always mail me if you have

suggestions or comments.

Developed by M.A. van IJperen - Official website : http://www.digitalice.com - The Netherlands.


Configuration Screen

Under here you can see a screen shot of the Configuration Screen.

[ Editor Options ]

Auto Indent

Will indent the text automaticly.

Show Scroll Hint

This will show a hint while you scroll in your document the hint will show in the upper right corner. It shows the line number and also the character number.

Use line numbers

This will show line numbers in the gutter.

Syntax Highlighting

Use syntax highlighting this enabled or disables the use of syntax highlighting when syntax highlighting is enabled it will color your code so it is easier to read and to edit.

Use gutter

This will add a gutter to your edit window which can show the line numbers.

Gutter width

Determines the width of the gutter.

Block indent

Is used to specify the indent size when you use indent with shift - Ctrl - u to unindent and shift - Ctrl - I to indent this
feature is very handy so you can shape your code so it is easier to understand.

Margin

Here you can enable/disable the margin line.

[ Editor Options ]

Text Styles

When you would add text with the Text formatting it will then use this as a default setting.

Editor font style

This is the style of the font used in the editor. You can only use fonts that have a fixed pitch.

Edit window background color

Here you can change the background color of the edit window.

Messages

This prevents loss of unsaved data cause when you did not saved your document and you would close it then a message will popup to remind you that you need to save.

Path Configuration

FTP Path

Here you can give up the path to your favorite FTP program.

Browser Path

Here you can give up the path to your favorite browser.

Work Directory

Here you can give up the path Matrix Y2K should always start in.

- Synchronize the file manager with the main open file.

which means that if the file manager is in c:\ that when you want to open a document through the open icon it will then also start in c:\

Code Inside

For the code inside information click here

New File Configuration

Title

Here you can fill in the name of your site.

Description

Here you can give up a description of your site.

Key words

Here you can give up the key words for your website so you can be found by search engines.

Author

Here you can fill in the name of the Author.

Extra Document Properties

Active Link

Here you can choose the color of the active links.

Visited Link

Here you can fill in the color of the visited links.

Default link color

Here you can choose the default color of the link.

background Color

Here you can choose the background color of the link.

Background

Here you can fill in or choose a background image.

Style Sheet

Here you can fill in the name of your style sheet.

Insert Default Link Colors

If you use a style sheet you can here choose to not use the default colors.

Export profile

Here you can export your profile for later use or to give it to a friend.

Import profile

Here you can import a profile you saved or which you have received.


Adding a table

How does it work and what means what ?

In the first field "Rows" you can specify how many rows you need, the second field columns specifies how many columns you need. You can make the table as big as you want but a too big table could crash a browser or result in long download time of the web page.

What does Cell padding mean ?

Cell padding specifies the number of pixels to show between the data and the cell edges. See example below.

Example 1. Cell padding set to 5.

Left Heading 1 | Left Heading 2
Cell Padding = 5 | Cell Padding = 5

Example 2. Cellpadding set to 10.

Right Heading 1 | Right Heading 2
Cell Padding = 10 | Cell Padding = 10

What does Cell Spacing mean ?

Cell spacing specifies the number of pixels to show between cells. See example below.

Example 1. Cellspacing set to 5.
Heading 1 | Heading 2
Cell Spacing = 5 | Cell Spacing = 5

Example 2. Cellspacing set to 10.
Heading 1 | Heading 2
Cell Spacing = 10 | Cell Spacing = 10

What does Alignment mean ?

The alignment specifies if the table is centered in the middle of the document or that it's set to the right or left side of the document.

Align LEFT
Aligns the table along the left margin, and all text following that table is wrapped in the space between that table and the right side of the pagez

Align=RIGHT
does the same thing, with the table aligned to the right side of the page. Centering tables is slightly more difficult.

ALIGN=CENTER - not supported
Currently, no browsers support ALIGN=CENTER on tables. However, you can use the <CENTER> or <DIV ALIGN=CENTER> tags to center the table and Matrix Y2K uses the <center> tag for centering the table.

Border ?

If you would like to have a border around your table then specify hear how big the border must be.

Border Color

Here you can select the color of the border of the table.

Background Color

Here you can specify the background color of the table. This will color the whole background of the

table.

Table Width

Table width specifies how wide your table will be if you fill in 100% then the table will be as wide as 100% of the width of of your document but you can also fill in for example "200"" then the table will have a size wich it will always be.


Buttons

1.
2.
3.
4.

5.
6.
7.

8.
9.

10.
11.
12.

13.
14.
15.

16.

17.
18.
19.

20.

21.
22.
23.

24.
25.

26.
27.

28.
29.

30.

31.
32.
33.

         New document
Open document
Save document
Close document

Copy
Paste
Cut

Undo
Redo

Image browser
Preview document
Load External browser

Configuration Screen
Code inside configuration
Load External FTP Client

Open the help file

Bold
Italic
UnderLine

Text Formatting

Align text to the left
Align text to the center
Align text to the right

Numbering
Bullets

Paragraph
Heading Style

Add Line Break
Add Horizontal Line

Add Table

Add Date and Time.
Add Last update script.
Insert an Alert box.

Shortcuts
Help

Image browser
Preview a document
Loads external FTP client
Loads external browser

Configuration Screen

Insert a Table

Undo
Redo

Bold
Underline
Italic

Cut
Copy
Paste

Center text
Text align left
Text align right

New document
Open document
Save document

Import *.rtf document
Import *.doc document

Search
Search and Replace
Find Next
Find Previous

Select All

Text formatting

Code Inside

Goto line number ...

Image Tag
Line Break
Horizontal Line
Comment text
Add image
Add Url
Add Flash Movie

F1

F8
F9
F10
F12

CTRL - ALT - C

CTRL - T ( See Adding a table help for more information ).

CTRL - Z
CTRL - Alt - Z

CTRL - B
CTRL - U
CTRL - I

CTRL - X
CTRL - C
CTRL - V

CTRL - F1
CTRL - ALT - L
CTRL - ALT - R

CTRL - N
CTRL - O
CTRL - S

F5
F6

CTRL - F
CTRL - R
F3
F2

CTRL - A

F4

CTRL - J Click here to learn more about code inside.

CTRL - G

Alt - T
Alt - B
Alt - H
Alt - C
Alt - I
Alt - U
Alt - F


Color Bar

What can you do with the color bar ?

The color bar is there for coloring your text you can select two colors :

- Foreground color ( Color is black see example )

- Background color ( Color is white see example )

The foreground color is the first color you see on the Color Bar and the background color is the second color on the Color Bar see image below for further details. To hide the color bar press the "x " on the bottom of the bar.

To add a color click on the color of your choice. If you wish to color a selected part of text then do the following : Click in your document on the right mouse button and choose for " Color Selected Text " and then choose for foreground color or background color.

For more information about the menu sections read the " documents " page.


Documents

Pre viewing your document.

You can preview your document without saving it ! A temporary file is created which is also being removed after the preview. You also don't have to save your document if you would like to preview it in an external browser the only difference is that these temporary files are removed after you close down the application.

Importing documents.

If you would choose File then Import then you will see that you can import two sorts of document which are Rich Text Files ( *.rtf ) and Word documents ( *.doc ). These files can be imported as a new file but they can also be inserted at cursor position, which means that the contents will be added to an open document.

Export to RTF.

If you would choose File then Export then you will see that you can export your document to Rich Text Files ( *.rtf ). So that you can have your html document as a RTF document. This will show all of your code including tags.

Right Mouse Click

If you have created a new document or if you have a document open then press on it with the right mouse button there you can find several options like adding of tags, colors etc see screen shot under here.

You can select a part of then and then press bold then the selected part of text will be bold. This works for everything like colors tags and text formatting.


Code Inside

What is code inside ?

Code inside is a library with pre formatted code which you can access with key words.

How to add a new code inside to the library

Press "Add Code " then the following window will open ...

What you need to fill in ?

- In the first box ( Key ) you need to fill in the Key word which will invoke the code.

- In the second box ( Comment ) you can add a comment about the code.

- In the Main edit window you can add your script or code.

How does it work ?

Let's say for example we would have a key called "hr " and your script is "<HR Size=1 Color=Black> ".

Now type in your document : "hr" ( without the quotes ) and then press Ctrl - J to invoke the code. Now your key is replaced by the script you filled in. So now you can create a library with all your codes you frequently use.

Delete Selected ?

With delete selected you can erase a code from the library. Just select a key code or comment then press delete selected to delete.

Export Code Inside

If you would like to share or give someone your library then you can export it to any location you want just press Export Code Inside. This is very handy if you are involved in a team project.

Import Code Inside

To insert a library from someone else you can insert the library by pressing Import Code Inside. Your original library will be overwritten in this process !


File Tabs

What are file tabs ? File tabs are the tabs at the bottom of the editor see image below.

You can click onto the file tabs to switch between your open documents. But you can also click on them with your right mouse button so that you get more options you can see them below.

With this you can close a document or all documents, you can preview a document or you can choose to hide the file tabs if you don't wish to use them or to make more space for editing.


File manager

With the file manager you can open all sorts of documents from web related to images if you would open a web related item like a *.html file then the document is opened but if you would load an image then the image will be loaded directly into the image viewer.

File manager.

You can see a "x" at the top of the file manager if you would click onto that then the file manager will be closed until you load it from the menu (Options and Toolbars then select File Manager ).

In the file manager you have two parts the part where you can select a drive and the part where you can select a file. In the part where you can select a drive you can also right click on there then you will have the option to create/delete a folder and also to refresh the whole file manager that includes the both parts. See image below.

File manager ( Top Mouse Menu )

File Manager ( Bottom Mouse Menu )

A new option in Matrix Y2K 6.1 is that you can open, copy and delete multiple files. It is also possible to add several sorts of documents into your document by selecting a file and pressing on " Add Selected file to document ".


Support

Support or questions

You can get support in several ways you can always contact me through my website or just drop a line through email. But you can also discuss things on my forum with other users.

Just pick the way you like best. Comments or suggestions are always welcome it could only improve the software more.

Official Website http://www.digitalice.com
Forum http://www.digitalice.com/bb/index.php
Email software@digitalice.com .
Comments/Suggestion matrixy2k@digitalice.com


Visual FX

Where are the Scripts ?

No scripts are added to Matrix Y2K this is not because I don't want to but if I would add a script now it could be updated next week so therefor I have decided to provide a list of sites where you can get cool scripts for your website.

Dynamic Drive

Is a website which provides all sorts of scripts they have many scripts with very good documentation on how to use them. And these scripts are always up to date so check out there website.

www.dynamicdrive.com

Dynamic FX

At this site you can find scripts to create very cool menu's and also many visual effects which you can create with javascript.

maximus.ravecore.com

About.com

If you have a question and your seeking for an answer then visit about.com cause they have many articles.

www.about.com

These are the best of the best links I have used many times.


License

Except where otherwise noted, all of the documentation and software included
in the Matrix Y2K package is copyrighted by M.A. van IJperen.

Copyright (C) 1998-2001 M.A. van IJperen. All rights reserved.

This software is provided "as-is," without any express or implied warranty.
In no event shall the author be held liable for any damages arising from the
use of this software.

Permission is granted to anyone to use this software personal or commercial
and to redistribute it in anyway, provided that the following conditions are met:

1. All redistributions must retain all copyright notices that are currently in place,
and this list of conditions without modification.

2. All redistributions must retain all occurances of the
above copyright notice and web site addresses that are currently in
place (for example, in the About boxes).

3. No modifications may be made to the software or installation files.
Redistributions must contain official setup files, if you think that the setup file
is not official then please notify us at piracy@digitalice.com.

An official version can be downloaded from the official website
[ http://www.digitalice.com].

M.A. van IJperen
software@digitalice.com
http://www.digitalice.com